[**@nymproject/sdk**](../globals.md) • **Docs**

***

[@nymproject/sdk](../globals.md) / BinaryMessageReceivedEvent

# Interface: BinaryMessageReceivedEvent

## Properties

### kind

> **kind**: [`BinaryMessageReceived`](../enumerations/EventKinds.md#binarymessagereceived)

#### Source

[mixnet/wasm/types.ts:253](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/sdk/src/mixnet/wasm/types.ts#L253)

***

### args

> **args**: `object`

#### mimeType

> **mimeType**: [`MimeTypes`](../enumerations/MimeTypes.md)

#### payload

> **payload**: `Uint8Array`

#### headers?

> `optional` **headers**: `string`

#### Source

[mixnet/wasm/types.ts:254](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/sdk/src/mixnet/wasm/types.ts#L254)
